## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface DictLiteralPart

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DictLiteralPartImpl

    public interface DictLiteralPart

extends org.eclipse.emf.ecore.EModelElement

A representation of the model object 'Dict Literal Part'.

The following features are supported:

- `Key`
- `Value`

See Also:
  `ImperativeOCLPackage.getDictLiteralPart()`

Method Summary
`org.eclipse.ocl.ecore.OCLExpression` `getKey()` Returns the value of the 'Key' containment reference
`org.eclipse.ocl.ecore.OCLExpression` `getValue()` Returns the value of the 'Value' containment reference
`void` `setKey(org.eclipse.ocl.ecore.OCLExpression value)` Sets the value of the '`Key`' containment reference
`void` `setValue(org.eclipse.ocl.ecore.OCLExpression value)` Sets the value of the '`Value`' containment reference

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getKey

    org.eclipse.ocl.ecore.OCLExpression getKey()

  Returns the value of the 'Key' containment reference.

  If the meaning of the 'Key' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Key' containment reference.
  See Also:
    `setKey(OCLExpression)`, `ImperativeOCLPackage.getDictLiteralPart_Key()`

### setKey

    void setKey(org.eclipse.ocl.ecore.OCLExpression value)

  Sets the value of the '`Key`' containment reference.

  Parameters:
    `value` - the new value of the 'Key' containment reference.
  See Also:
    `getKey()`

### getValue

    org.eclipse.ocl.ecore.OCLExpression getValue()

  Returns the value of the 'Value' containment reference.

  If the meaning of the 'Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `setValue(OCLExpression)`, `ImperativeOCLPackage.getDictLiteralPart_Value()`

### setValue

    void setValue(org.eclipse.ocl.ecore.OCLExpression value)

  Sets the value of the '`Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Value' containment reference.
  See Also:
    `getValue()`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.